import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { IChoice, IVehicleMakeOptions, IVehicleMakesContainerComponent, IVehicleSelection, IYearMakeModelConfigurationUpdate } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkVehicleMakesContainer implements IVehicleMakesContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    /**
     * The id of the answer associated with this field
     */
    answerId: string;
    /**
     * The question code associated with this field
     */
    code: string;
    /**
     * Vehicle options injected by redux
     */
    makeOptions: IVehicleMakeOptions;
    /**
     * Current vehicle selection injected by redux
     */
    selectedVehicle: IVehicleSelection;
    /**
     * Vehicle question group ID
     */
    questionGroupId: string;
    /**
     * Is vehicle a trailer
     */
    isVehicleTrailer: boolean;
    /**
     * The source a question was answered by, if not answered directly
     */
    answeredBySource: string;
    choices: IChoice[];
    filter: string;
    filteredChoices: IChoice[];
    useExternal: boolean;
    touched: boolean;
    pristine: boolean;
    value: string;
    errors: string[];
    ymmcUpdate: EventEmitter<IYearMakeModelConfigurationUpdate>;
    el: HTMLBpSdkVehicleMakesContainerElement;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    componentWillLoad(): void;
    mapStateToProps: (state: BpSdkStore) => {
        makeOptions: IVehicleMakeOptions;
        selectedVehicle: IVehicleSelection;
    };
    onQuestionGroupIdChange(): void;
    onMakesChange(makes: IVehicleMakeOptions | undefined): void;
    onVehicleSelectionChange(selection: IVehicleSelection): void;
    updateValue(makes: IVehicleMakeOptions, selection: IVehicleSelection): void;
    onUseExternalChange(useExternal: boolean): void;
    loadFocusEvents(): void;
    unloadFocusEvents(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    onFilterUpdate({ detail }: {
        detail: any;
    }): void;
    onFilterChange(filter: string): void;
    onChoicesChange(choices: IChoice[]): void;
    updateChoices(choices: IChoice[], filter?: string): void;
    onValueUpdate(evt: CustomEvent): void;
    onValueChange(value: string): void;
    updateErrors(pristine: boolean, touched: boolean, value: string): void;
    onMakeDirty(): void;
    onFocusOut: () => void;
    render(): any[];
    renderExternal(): any;
    convertMakesToChoices(makes: IVehicleMakeOptions): IChoice[];
    renderInternal(): any;
}
